# class ObjectImp | General implementation class for Objects. More...
Full name | `KJS::ObjectImp`
Definition | `#include <object.h>`
Inherits | KJS::Imp [public ]
Inherited by | ConstructorImp, FunctionImp, InternalFunctionImp
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- ObjectImp (Class c)
- ObjectImp (Class c, const KJSO &v)
- ObjectImp (Class c, const KJSO &v, const KJSO &p)
- virtual ~ObjectImp ()
- virtual KJSO toPrimitive (Type preferred = UndefinedType) const
- virtual Boolean toBoolean () const
- virtual Number toNumber () const
- virtual String toString () const
- virtual Object toObject () const
- virtual const TypeInfo* typeInfo () const
- virtual void mark (Imp *imp = 0L)

#### Public Members

- static const TypeInfo info

## Detailed Description

ObjectImp (Class c) | ### ObjectImp

ObjectImp (Class c, const KJSO &v) | ### ObjectImp

ObjectImp (Class c, const KJSO &v, const KJSO &p) | ### ObjectImp

~ObjectImp () | ### ~ObjectImp

[virtual]

KJSO toPrimitive (Type preferred = UndefinedType) | ### toPrimitive

[const virtual]

Reimplemented from Imp.

Boolean toBoolean () | ### toBoolean

[const virtual]

Reimplemented from Imp.

Number toNumber () | ### toNumber

[const virtual]

Reimplemented from Imp.

String toString () | ### toString

[const virtual]

Reimplemented from Imp.

Object toObject () | ### toObject

[const virtual]

Reimplemented from Imp.

const TypeInfo* typeInfo () | ### typeInfo

[const virtual]

Reimplemented from Imp.

static const TypeInfo info | ### info

void mark (Imp *imp = 0L) | ### mark

[virtual]

Reimplemented from Imp.

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:45:14 2001, using kdoc 2.0a53.